commit:     4c9e1c61c780722b35a5898894e432f8ac5a9360
Author:     Thibaud CANALE <thican <AT> thican <DOT> net>
AuthorDate: Sat May 13 18:55:15 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May 15 05:38:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c9e1c61

mate-base/mate-panel: add 1.26.3

Closes: https://bugs.gentoo.org/905950
Signed-off-by: Thibaud CANALE <thican <AT> thican.net>
Closes: https://github.com/gentoo/gentoo/pull/31024
Signed-off-by: Sam James <sam <AT> gentoo.org>

 mate-base/mate-panel/Manifest                 |  1 +
 mate-base/mate-panel/mate-panel-1.26.3.ebuild | 72 +++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/mate-base/mate-panel/Manifest b/mate-base/mate-panel/Manifest
index e539cccb729a..3b4c4acf069e 100644
--- a/mate-base/mate-panel/Manifest
+++ b/mate-base/mate-panel/Manifest
@@ -1,2 +1,3 @@
 DIST mate-panel-1.26.0.tar.xz 3303980 BLAKE2B 
b36ddb6d4db174bd26986193829e72e498f81e31d129aa0e64ef3927b3571b58c3bb940a1d3c4ceb14165d5d7810d812a3b39dd2ea7aad4bd9cdaf4dae84751e
 SHA512 
394cf6a4a081980d286a03488370a5335dca681964271329b28d7254fc877457bc42883c95ad9f197a319f1bef71e237052d64b98606df616f5e11b9f9ae5f31
 DIST mate-panel-1.26.2.tar.xz 3314092 BLAKE2B 
6b33562728b7ffa3bc1c5a3341e2bd4b88c5daba504e6818810f194d8a6f736ac5b5936ed10c17ad5879eaa7a3e7f2a7d0dad6e59e7582d684f9bcdbb8421ddf
 SHA512 
31f97b5cbacd5ac4a3661fdb8544313e5fb406489c9179d98c0f981001beae97890f3563bbf5886c451cf27db7235bfe70d40bf2582bc2e2206dadd396432ec7
+DIST mate-panel-1.26.3.tar.xz 3255864 BLAKE2B 
3d0dce61e6fa1b89f8f52dcad201b263c412d6819e7ba139777fe99310c8e3274da990c0678b493b89879e6af517912e90f705dcdd6e43e94892fd64f63df224
 SHA512 
28c93566a528037082ed6181e628658373e5fd35f987b9d18b1731f3b3762f139cd1624ad862acc40413baa308b51a7ae617449c4a2a13c4726b5dad6a109d5a

diff --git a/mate-base/mate-panel/mate-panel-1.26.3.ebuild 
b/mate-base/mate-panel/mate-panel-1.26.3.ebuild
new file mode 100644
index 000000000000..0b9f509c92f1
--- /dev/null
+++ b/mate-base/mate-panel/mate-panel-1.26.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MATE_LA_PUNT="yes"
+
+inherit mate
+
+if [[ "${PV}" != *9999 ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+fi
+
+DESCRIPTION="The MATE panel"
+LICENSE="FDL-1.1+ GPL-2+ LGPL-2+"
+SLOT="0"
+
+IUSE="+X +introspection wayland"
+
+REQUIRED_USE="|| ( X wayland )"
+
+COMMON_DEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0:2
+       >=dev-libs/glib-2.50:2
+       >=dev-libs/libmateweather-1.17.0
+       dev-libs/libxml2:2
+       >=gnome-base/dconf-0.13.4
+       >=mate-base/mate-desktop-1.17.0
+       >=mate-base/mate-menus-1.21.0
+       >=sys-apps/dbus-1.1.2
+       >=x11-libs/cairo-1.0.0[X?]
+       >=x11-libs/gdk-pixbuf-2.26.0:2
+       >=x11-libs/gtk+-3.22:3[introspection?]
+       x11-libs/libICE
+       x11-libs/libSM
+       >=x11-libs/libwnck-3.4.6:3[introspection?]
+       >=x11-libs/pango-1.15.4:0[introspection?]
+       X? (
+               x11-libs/libX11
+               x11-libs/libXau
+               >=x11-libs/libXrandr-1.3
+       )
+       introspection? ( >=dev-libs/gobject-introspection-0.6.7:= )
+       wayland? ( gui-libs/gtk-layer-shell )
+"
+
+RDEPEND="${COMMON_DEPEND}
+       virtual/libintl
+"
+
+DEPEND="${COMMON_DEPEND}"
+
+BDEPEND="
+       app-text/docbook-xml-dtd:4.1.2
+       app-text/yelp-tools
+       >=dev-lang/perl-5:=
+       dev-util/glib-utils
+       dev-util/gdbus-codegen
+       dev-util/gtk-doc
+       dev-util/gtk-doc-am
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_configure() {
+       mate_src_configure \
+               --libexecdir="${EPREFIX}"/usr/libexec/mate-applets \
+               --disable-deprecation-flags \
+               $(use_enable X x11) \
+               $(use_enable introspection) \
+               $(use_enable wayland)
+}

Reply via email to